Bug 851674 - CVE-2012-3533 ovirt 3.1: does not validate server identity in new python SDK and CLI [fedora-all]
CVE-2012-3533 ovirt 3.1: does not validate server identity in new python SDK ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ovirt-engine (Show other bugs)
19
All Linux
medium Severity medium
: ---
: ---
Assigned To: Juan Hernández
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On:
Blocks: CVE-2012-3533
  Show dependency treegraph
 
Reported: 2012-08-24 12:38 EDT by Vincent Danen
Modified: 2014-06-25 17:47 EDT (History)
5 users (show)

See Also:
Fixed In Version: 3.2.0.1
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-24 22:27:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2012-08-24 12:38:39 EDT
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected Fedora
versions.

For comments that are specific to the vulnerability please use bugs filed
against "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please include this bug ID and the
bug IDs of this bug's parent bugs filed against the "Security Response"
product (the top-level CVE bugs).  Please mention the CVE IDs being fixed
in the RPM changelog when available.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=851672

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.

[bug automatically created by: add-tracking-bugs]
Comment 1 Michael Pasternak 2012-08-26 03:41:23 EDT
Fix for the mentioned issue available in:

sdk: 3.1.0.6
cli: 3.1.0.8
Comment 2 Michael Pasternak 2012-09-09 07:04:17 EDT
in fedora 3.2.0.1
Comment 3 Fedora End Of Life 2013-07-04 04:04:09 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Vincent Danen 2013-07-24 13:39:03 EDT
This does not seem to be fixed in current Fedora releases yet.  Bumping.  I'm not sure what comment #2 is in reference to as I don't see a 3.2.0.1 version in Fedora anywhere, just the vulnerable 3.1 version.
Comment 5 Juan Hernández 2013-07-24 13:46:48 EDT
Just pushed 3.2.0.11-1 to the Fedora 19 stable repository:

https://admin.fedoraproject.org/updates/FEDORA-2013-8156/ovirt-engine-sdk-3.2.0.11-1.fc19
Comment 6 Vincent Danen 2013-07-24 14:08:52 EDT
Does that include the CLI component that needs to be updated as well?

Also, any plans to do something similar for Fedora 18 (which is still supported and vulnerable)?
Comment 8 Vincent Danen 2013-07-24 16:37:49 EDT
Perfect!  Thank you!
Comment 9 Juan Hernández 2013-10-18 08:34:00 EDT
The ovirt-engine package has been retired. Please close this bug or move it to the ovirt-engine-sdk-python or ovirt-engine-cli packages.

Note You need to log in before you can comment on or make changes to this bug.